<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ReglaAreaProceso extends Model
{
    use HasFactory;

    protected $table = 'reglas_area_proceso';

    protected $fillable = [
        'area_proceso_id',
        'curso_id',
        'cantidad_preguntas',
        'orden',
        'nivel_dificultad',
        'ponderacion',
    ];

    public function areaProceso()
    {
        return $this->belongsTo(AreaProceso::class);
    }

    public function curso()
    {
        return $this->belongsTo(Curso::class);
    }
}
